Bug 112187 - workqueue: PF_MEMALLOC task 980(kswapd0) is flushing !WQ_MEM_RECLAIM events:gen6_pm_rps_work
Summary: workqueue: PF_MEMALLOC task 980(kswapd0) is flushing !WQ_MEM_RECLAIM events:g...
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: x86-64 (AMD64) Linux (All)
: not set not set
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-31 14:23 UTC by jtool4
Modified: 2019-11-04 15:00 UTC (History)
1 user (show)

See Also:
i915 platform: SKL
i915 features: GPU hang


Attachments
output of /sys/class/drm/card0/error (14.92 KB, text/plain)
2019-10-31 14:23 UTC, jtool4
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description jtool4 2019-10-31 14:23:27 UTC
Created attachment 145853 [details]
output of /sys/class/drm/card0/error

[1040709.972098] workqueue: PF_MEMALLOC task 980(kswapd0) is flushing !WQ_MEM_RECLAIM events:gen6_pm_rps_work
[1040709.972102] WARNING: CPU: 2 PID: 980 at kernel/workqueue.c:2598 check_flush_dependency+0xa1/0x130
[1040709.972103] Modules linked in: br_netfilter vboxpci(O) vboxnetflt(O) vboxnetadp(O) vboxdrv(O) e1000 e1000e efivarfs
[1040709.972108] CPU: 2 PID: 980 Comm: kswapd0 Tainted: G           O    T 5.3.1-gentoo #2
[1040709.972109] Hardware name: HP HP ProDesk 600 G2 SFF/805D, BIOS N02 Ver. 02.28 01/30/2018
[1040709.972110] RIP: 0010:check_flush_dependency+0xa1/0x130
[1040709.972112] Code: 8d 8a 68 05 00 00 48 8d 8b b0 00 00 00 49 89 e8 4c 89 ca 48 c7 c7 f0 ca 56 b8 48 89 04 24 c6 05 ba ce 89 01 01 e8 8a 0e fe ff <0f> 0b 48 8b 04 24 eb 13 4c 89 e7 e8 2f 5c 00 00 41 f6 84 24 01 03
[1040709.972112] RSP: 0000:ffffa27cc1a3b8e8 EFLAGS: 00010082
[1040709.972113] RAX: 0000000000000000 RBX: ffff8cd35d814600 RCX: 0000000000000000
[1040709.972114] RDX: 000000000000005c RSI: ffffffffb8ee865c RDI: ffffffffb8ee8a5c
[1040709.972114] RBP: ffffffffb75a1220 R08: 0003b2852c337c73 R09: 000000000000005c
[1040709.972115] R10: 0000000000000000 R11: 00000000fffffffe R12: ffff8cd35d30c9c0
[1040709.972115] R13: ffff8cd35f62c400 R14: 0000000000000001 R15: ffff8cd35c015e18
[1040709.972116] FS:  0000000000000000(0000) GS:ffff8cd35f700000(0000) knlGS:0000000000000000
[1040709.972117] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[1040709.972117] CR2: 00007f614e20d000 CR3: 00000001fe57c006 CR4: 00000000003606e0
[1040709.972118] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[1040709.972119] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
[1040709.972119] Call Trace:
[1040709.972122]  __flush_work+0x8d/0x1b0
[1040709.972124]  ? enqueue_hrtimer+0x34/0x90
[1040709.972126]  ? hrtimer_start_range_ns+0x18c/0x2c0
[1040709.972127]  __cancel_work_timer+0xfb/0x180
[1040709.972129]  ? _cond_resched+0x10/0x20
[1040709.972131]  ? synchronize_irq+0x35/0xa0
[1040709.972132]  ? fwtable_write32+0x19b/0x210
[1040709.972134]  gen6_disable_rps_interrupts+0x74/0x90
[1040709.972136]  gen6_rps_idle+0x15/0xd0
[1040709.972137]  intel_gt_park+0x4f/0x60
[1040709.972139]  __intel_wakeref_put_last+0x12/0x40
[1040709.972140]  __engine_park+0xb6/0xc0
[1040709.972141]  __intel_wakeref_put_last+0x12/0x40
[1040709.972143]  i915_request_retire+0x172/0x310
[1040709.972145]  ring_retire_requests+0x49/0x50
[1040709.972147]  i915_retire_requests+0x3e/0x7a
[1040709.972149]  i915_gem_shrink+0xc6/0x4c0
[1040709.972151]  i915_gem_shrinker_scan+0x5e/0x110
[1040709.972153]  do_shrink_slab+0x152/0x2c0
[1040709.972155]  ? check_preempt_wakeup+0x13b/0x1a0
[1040709.972156]  shrink_slab+0xa7/0x2a0
[1040709.972158]  ? __switch_to_asm+0x40/0x70
[1040709.972160]  shrink_node+0xf2/0x4a0
[1040709.972162]  balance_pgdat+0x2ef/0x530
[1040709.972164]  kswapd+0x1e6/0x3b0
[1040709.972166]  ? wait_woken+0x80/0x80
[1040709.972168]  kthread+0xf6/0x130
[1040709.972170]  ? balance_pgdat+0x530/0x530
[1040709.972171]  ? kthread_park+0x80/0x80
[1040709.972172]  ret_from_fork+0x35/0x40
[1040709.972174] ---[ end trace 8da9ff088715157c ]---
[1142896.363180] traps: code[15394] trap invalid opcode ip:5565821a503d sp:7ffe75d26628 error:0 in code[55657ebee000+4c03000]
[1239024.357824] chrome (4156) used greatest stack depth: 9912 bytes left
[1412473.940162] i915 0000:00:02.0: GPU HANG: ecode 9:0:0x00000000, hang on rcs0
[1412473.940164] [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
[1412473.940165] [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
[1412473.940166] [drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
[1412473.940167] [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
[1412473.940168] [drm] GPU crash dump saved to /sys/class/drm/card0/error
[1412473.941183] i915 0000:00:02.0: Resetting rcs0 for hang on rcs0
[1471914.416089] udevd[23065]: starting version 3.2.9
[1471914.428302] udevd[23065]: starting eudev-3.2.9
Comment 1 Lakshmi 2019-11-01 07:41:35 UTC
Can you reproduce this issue with latest drm-tip (https://cgit.freedesktop.org/drm-tip) with kernel parameters drm.debug=0x1e log_buf_len=4M. If the problem persists attach the full dmesg from boot.

Also what is the impact of this issue? What is the reproduction rate, how often this issue occurs?
Comment 2 jtool4 2019-11-04 15:00:02 UTC
I am sorry I have been gone. 

I updated my kernel to gentoos repo of 5.3.8 and I can no longer reproduce the issue. Thank you for your help, this can be marked as resolved. If I get another crash I will reference this and provide the crash report and dmesg.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.